#ifndef BUILDING_H_
#define BUILDING_H_

#include <string>

#include "../config.h"
#include "../typedefs.h"
#include "FixedSimulationObject.h"

/**
 * This class represents a building in the simulation world, and is currently rendered as an opaque block.
 */
class Building: public FixedSimulationObject {
public:
	Building(const dVector3 size, const dVector3 pos, const dReal direction, const dReal weight = dInfinity);
	virtual ~Building();
	
	virtual void visualize();
	
	std::string toString() const;
};

#endif /*BUILDING_H_*/
